# (c) https://github.com/MontiCore/monticore  
stages:
- windows
- linux

masterJobLinux:
  stage: linux
  image: maven:3-jdk-8
  script: 
  - mvn -Dorg.slf4j.simpleLogger.log.org.apache.maven.cli.transfer.Slf4jMavenTransferListener=warn -B  clean deploy --settings settings.xml
  only:
  - master
  
masterJobWindows:
  stage: windows
  script: 
  - mvn -Dorg.slf4j.simpleLogger.log.org.apache.maven.cli.transfer.Slf4jMavenTransferListener=warn -B  clean install --settings settings.xml
  tags:
  - Windows10_OS

BranchJobLinux:
  stage: linux
  image: maven:3-jdk-8
  script: 
  - mvn -Dorg.slf4j.simpleLogger.log.org.apache.maven.cli.transfer.Slf4jMavenTransferListener=warn -B  clean install --settings settings.xml
  except:
  - master
